VULKAN_HPP_NAMESPACE::FlagTraits< MemoryPropertyFlagBits > Struct Reference

`#include <vulkan.hpp>`

## Public Types

enum | { allFlags = VkFlags(MemoryPropertyFlagBits::eDeviceLocal) | VkFlags(MemoryPropertyFlagBits::eHostVisible) | VkFlags(MemoryPropertyFlagBits::eHostCoherent) | VkFlags(MemoryPropertyFlagBits::eHostCached) | VkFlags(MemoryPropertyFlagBits::eLazilyAllocated) | VkFlags(MemoryPropertyFlagBits::eProtected) }

## Detailed Description

Definition at line 22347 of file vulkan.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
allFlags |

Definition at line 22349 of file vulkan.hpp.

{
allFlags = VkFlags(MemoryPropertyFlagBits::eDeviceLocal) | VkFlags(MemoryPropertyFlagBits::eHostVisible) | VkFlags(MemoryPropertyFlagBits::eHostCoherent) | VkFlags(MemoryPropertyFlagBits::eHostCached) | VkFlags(MemoryPropertyFlagBits::eLazilyAllocated) | VkFlags(MemoryPropertyFlagBits::eProtected)
};

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::MemoryPropertyFlagBits::eLazilyAllocated
@ eLazilyAllocated
VkFlags
uint32_t VkFlags
Definition: vulkan_core.h:64
VULKAN_HPP_NAMESPACE::MemoryPropertyFlagBits::eDeviceLocal
@ eDeviceLocal
VULKAN_HPP_NAMESPACE::MemoryPropertyFlagBits::eHostCached
@ eHostCached
VULKAN_HPP_NAMESPACE::FlagTraits< MemoryPropertyFlagBits >::allFlags
@ allFlags
Definition: vulkan.hpp:22351
VULKAN_HPP_NAMESPACE::MemoryPropertyFlagBits::eHostVisible
@ eHostVisible
VULKAN_HPP_NAMESPACE::MemoryPropertyFlagBits::eProtected
@ eProtected
VULKAN_HPP_NAMESPACE::MemoryPropertyFlagBits::eHostCoherent
@ eHostCoherent